Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.util
Class ImperativeOCLValidator

    java.lang.Object
      org.eclipse.emf.ecore.util.EObjectValidator
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.util.ImperativeOCLValidator

All Implemented Interfaces:
  org.eclipse.emf.ecore.EValidator

    public class ImperativeOCLValidator

extends org.eclipse.emf.ecore.util.EObjectValidator

The Validator for the model.

See Also:
  `ImperativeOCLPackage`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`org.eclipse.emf.ecore.util.EObjectValidator.DynamicEDataTypeValidator`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator
`org.eclipse.emf.ecore.EValidator.Descriptor, org.eclipse.emf.ecore.EValidator.PatternMatcher, org.eclipse.emf.ecore.EValidator.Registry, org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider`

Field Summary
`protected static int` | `DIAGNOSTIC_CODE_COUNT` A constant with a fixed name that can be used as the base value for additional hand written constants in a derived class
`static java.lang.String` | `DIAGNOSTIC_SOURCE` A constant for the `source` of diagnostic `codes` from this package
`protected org.eclipse.ocl.ecore.util.EcoreValidator` | `ecore_1Validator` The cached base package validator
`protected org.eclipse.emf.ecore.util.EcoreValidator` | `ecoreValidator` The cached base package validator
`protected org.eclipse.ocl.expressions.util.ExpressionsValidator` | `expressionsValidator` The cached base package validator
`static ImperativeOCLValidator` | `INSTANCE` The cached model package
`protected org.eclipse.ocl.types.util.TypesValidator` | `typesValidator` The cached base package validator

Fields inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`DATA_VALUE__FRACTION_DIGITS_IN_RANGE, DATA_VALUE__LENGTH_IN_RANGE, DATA_VALUE__MATCHES_PATTERN, DATA_VALUE__TOTAL_DIGITS_IN_RANGE, DATA_VALUE__TYPE_CORRECT, DATA_VALUE__VALUE_IN_ENUMERATION, DATA_VALUE__VALUE_IN_RANGE, EOBJECT__EVERY_DATA_VALUE_CONFORMS, EOBJECT__EVERY_KEY_UNIQUE, EOBJECT__EVERY_MAP_ENTRY_UNIQUE, EOBJECT__EVERY_MULTIPCITY_CONFORMS, EOBJECT__EVERY_PROXY_RESOLVES, EOBJECT__EVERY_REFERENCE_IS_CONTAINED, EOBJECT__NO_CIRCULAR_CONTAINMENT, EOBJECT__UNIQUE_ID, ROOT_OBJECT`

Fields inherited from interface org.eclipse.emf.ecore.EValidator
`MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

Constructor Summary
`ImperativeOCLValidator()` Creates an instance of the switch

Method Summary
`protected org.eclipse.emf.ecore.EPackage` | `getEPackage()` Returns the package of this validator switch
`org.eclipse.emf.common.util.ResourceLocator` | `getResourceLocator()` Returns the resource locator that will be used to fetch messages for this validator's diagnostics
`protected boolean` | `validate(int classifierID, java.lang.Object value, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Calls `validateXXX` for the corresponding classifier of the model
`boolean` | `validateAltExp(AltExp altExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateAssertExp(AssertExp assertExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateAssignExp_checkLeftAndValueExpConformance(AssignExp assignExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the checkLeftAndValueExpConformance constraint of 'Assign Exp'
`boolean` | `validateAssignExp_WellFormedLeftExp(AssignExp assignExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the WellFormedLeftExp constraint of 'Assign Exp'
`boolean` | `validateAssignExp(AssignExp assignExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateBlockExp(BlockExp blockExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateBreakExp(BreakExp breakExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateCatchExp(CatchExp catchExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateComputeExp(ComputeExp computeExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateContinueExp(ContinueExp continueExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateDictionaryType(DictionaryType dictionaryType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateDictLiteralExp(DictLiteralExp dictLiteralExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateDictLiteralPart(DictLiteralPart dictLiteralPart, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateForExp(ForExp forExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateImperativeExpression(ImperativeExpression imperativeExpression, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateImperativeIterateExp_WellFormedBody(ImperativeIterateExp imperativeIterateExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the WellFormedBody constraint of 'Imperative Iterate Exp'
`boolean` | `validateImperativeIterateExp_WellFormedCondition(ImperativeIterateExp imperativeIterateExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the WellFormedCondition constraint of 'Imperative Iterate Exp'
`boolean` | `validateImperativeIterateExp_WellFormedName(ImperativeIterateExp imperativeIterateExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the WellFormedName constraint of 'Imperative Iterate Exp'
`boolean` | `validateImperativeIterateExp_WellFormedTargetVar(ImperativeIterateExp imperativeIterateExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the WellFormedTargetVar constraint of 'Imperative Iterate Exp'
`boolean` | `validateImperativeIterateExp(ImperativeIterateExp imperativeIterateExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateImperativeLoopExp(ImperativeLoopExp imperativeLoopExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateInstantiationExp(InstantiationExp instantiationExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateListType(ListType listType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateLogExp(LogExp logExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateOrderedTupleLiteralExp(OrderedTupleLiteralExp orderedTupleLiteralExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateOrderedTupleLiteralPart(OrderedTupleLiteralPart orderedTupleLiteralPart, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateOrderedTupleType_WellFormedName(OrderedTupleType orderedTupleType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the WellFormedName constraint of 'Ordered Tuple Type'
`boolean` | `validateOrderedTupleType(OrderedTupleType orderedTupleType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateRaiseExp(RaiseExp raiseExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateReturnExp(ReturnExp returnExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateSeverityKind(SeverityKind severityKind, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateSwitchExp(SwitchExp switchExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateTemplateParameterType(TemplateParameterType templateParameterType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateTryExp(TryExp tryExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateTypedef(Typedef typedef, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateUnlinkExp(UnlinkExp unlinkExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateUnpackExp(UnpackExp unpackExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateVariableInitExp(VariableInitExp variableInitExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateWhileExp(WhileExp whileExp, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`

Methods inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`createBadDataValueDiagnostic, createDiagnostic, getEcoreResourceLocator, getEcoreString, getFeatureLabel, getObjectLabel, getRootEValidator, getString, getValueLabel, reportDataValuePatternViolation, reportDataValueTypeViolation, reportEnumerationViolation, reportFractionDigitsViolation, reportMaxLengthViolation, reportMaxViolation, reportMinLengthViolation, reportMinViolation, reportTotalDigitsViolation, validate_DataValueConforms, validate_EveryDataValueConforms, validate_EveryDefaultConstraint, validate_EveryKeyUnique, validate_EveryMapEntryUnique, validate_EveryMultiplicityConforms, validate_EveryProxyResolves, validate_EveryReferenceIsContained, validate_KeyUnique, validate_MapEntryUnique, validate_MultiplicityConforms, validate_NoCircularContainment, validate_UniqueID, validate, validate, validate, validatePattern, wrapEnumerationValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ImperativeOCLValidator INSTANCE

  The cached model package

### DIAGNOSTIC_SOURCE

    public static final java.lang.String DIAGNOSTIC_SOURCE

  A constant for the `source` of diagnostic `codes` from this package.

  See Also:
    `Diagnostic.getSource()`, `Diagnostic.getCode()`, Constant Field Values

### DIAGNOSTIC_CODE_COUNT

    protected static final int DIAGNOSTIC_CODE_COUNT

  A constant with a fixed name that can be used as the base value for additional hand written constants in a derived class.

  See Also:
    Constant Field Values

### ecoreValidator

    protected org.eclipse.emf.ecore.util.EcoreValidator ecoreValidator

  The cached base package validator.

### ecore_1Validator

    protected org.eclipse.ocl.ecore.util.EcoreValidator ecore_1Validator

  The cached base package validator.

### typesValidator

    protected org.eclipse.ocl.types.util.TypesValidator typesValidator

  The cached base package validator.

### expressionsValidator

    protected org.eclipse.ocl.expressions.util.ExpressionsValidator expressionsValidator

  The cached base package validator.

Constructor Detail

### ImperativeOCLValidator

    public ImperativeOCLValidator()

  Creates an instance of the switch.

Method Detail

### getEPackage

    protected org.eclipse.emf.ecore.EPackage getEPackage()

  Returns the package of this validator switch.

  Overrides:
    `getEPackage` in class `org.eclipse.emf.ecore.util.EObjectValidator`

### validate

    protected boolean validate(int classifierID,
                               java.lang.Object value,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map<java.lang.Object,java.lang.Object> context)

  Calls `validateXXX` for the corresponding classifier of the model.

  Overrides:
    `validate` in class `org.eclipse.emf.ecore.util.EObjectValidator`

### validateAltExp

    public boolean validateAltExp(AltExp altExp,
                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map<java.lang.Object,java.lang.Object> context)

### validateAssertExp

    public boolean validateAssertExp(AssertExp assertExp,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

### validateAssignExp

    public boolean validateAssignExp(AssignExp assignExp,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

### validateAssignExp_WellFormedLeftExp

    public boolean validateAssignExp_WellFormedLeftExp(AssignExp assignExp,
                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                       java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the WellFormedLeftExp constraint of 'Assign Exp'.

### validateAssignExp_checkLeftAndValueExpConformance

    public boolean validateAssignExp_checkLeftAndValueExpConformance(AssignExp assignExp,
                                                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                     java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the checkLeftAndValueExpConformance constraint of 'Assign Exp'.

### validateBlockExp

    public boolean validateBlockExp(BlockExp blockExp,
                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

### validateBreakExp

    public boolean validateBreakExp(BreakExp breakExp,
                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

### validateCatchExp

    public boolean validateCatchExp(CatchExp catchExp,
                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

### validateComputeExp

    public boolean validateComputeExp(ComputeExp computeExp,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map<java.lang.Object,java.lang.Object> context)

### validateContinueExp

    public boolean validateContinueExp(ContinueExp continueExp,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map<java.lang.Object,java.lang.Object> context)

### validateDictLiteralExp

    public boolean validateDictLiteralExp(DictLiteralExp dictLiteralExp,
                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map<java.lang.Object,java.lang.Object> context)

### validateDictLiteralPart

    public boolean validateDictLiteralPart(DictLiteralPart dictLiteralPart,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map<java.lang.Object,java.lang.Object> context)

### validateDictionaryType

    public boolean validateDictionaryType(DictionaryType dictionaryType,
                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map<java.lang.Object,java.lang.Object> context)

### validateForExp

    public boolean validateForExp(ForExp forExp,
                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map<java.lang.Object,java.lang.Object> context)

### validateImperativeExpression

    public boolean validateImperativeExpression(ImperativeExpression imperativeExpression,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map<java.lang.Object,java.lang.Object> context)

### validateImperativeIterateExp

    public boolean validateImperativeIterateExp(ImperativeIterateExp imperativeIterateExp,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map<java.lang.Object,java.lang.Object> context)

### validateImperativeIterateExp_WellFormedName

    public boolean validateImperativeIterateExp_WellFormedName(ImperativeIterateExp imperativeIterateExp,
                                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                               java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the WellFormedName constraint of 'Imperative Iterate Exp'.

### validateImperativeIterateExp_WellFormedTargetVar

    public boolean validateImperativeIterateExp_WellFormedTargetVar(ImperativeIterateExp imperativeIterateExp,
                                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                    java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the WellFormedTargetVar constraint of 'Imperative Iterate Exp'.

### validateImperativeIterateExp_WellFormedBody

    public boolean validateImperativeIterateExp_WellFormedBody(ImperativeIterateExp imperativeIterateExp,
                                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                               java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the WellFormedBody constraint of 'Imperative Iterate Exp'.

### validateImperativeIterateExp_WellFormedCondition

    public boolean validateImperativeIterateExp_WellFormedCondition(ImperativeIterateExp imperativeIterateExp,
                                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                    java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the WellFormedCondition constraint of 'Imperative Iterate Exp'.

### validateImperativeLoopExp

    public boolean validateImperativeLoopExp(ImperativeLoopExp imperativeLoopExp,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map<java.lang.Object,java.lang.Object> context)

### validateInstantiationExp

    public boolean validateInstantiationExp(InstantiationExp instantiationExp,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### validateListType

    public boolean validateListType(ListType listType,
                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

### validateLogExp

    public boolean validateLogExp(LogExp logExp,
                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map<java.lang.Object,java.lang.Object> context)

### validateOrderedTupleLiteralExp

    public boolean validateOrderedTupleLiteralExp(OrderedTupleLiteralExp orderedTupleLiteralExp,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map<java.lang.Object,java.lang.Object> context)

### validateOrderedTupleLiteralPart

    public boolean validateOrderedTupleLiteralPart(OrderedTupleLiteralPart orderedTupleLiteralPart,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map<java.lang.Object,java.lang.Object> context)

### validateOrderedTupleType

    public boolean validateOrderedTupleType(OrderedTupleType orderedTupleType,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### validateOrderedTupleType_WellFormedName

    public boolean validateOrderedTupleType_WellFormedName(OrderedTupleType orderedTupleType,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the WellFormedName constraint of 'Ordered Tuple Type'.

### validateRaiseExp

    public boolean validateRaiseExp(RaiseExp raiseExp,
                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

### validateReturnExp

    public boolean validateReturnExp(ReturnExp returnExp,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

### validateSwitchExp

    public boolean validateSwitchExp(SwitchExp switchExp,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

### validateTemplateParameterType

    public boolean validateTemplateParameterType(TemplateParameterType templateParameterType,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map<java.lang.Object,java.lang.Object> context)

### validateTryExp

    public boolean validateTryExp(TryExp tryExp,
                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map<java.lang.Object,java.lang.Object> context)

### validateTypedef

    public boolean validateTypedef(Typedef typedef,
                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   java.util.Map<java.lang.Object,java.lang.Object> context)

### validateUnlinkExp

    public boolean validateUnlinkExp(UnlinkExp unlinkExp,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

### validateUnpackExp

    public boolean validateUnpackExp(UnpackExp unpackExp,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

### validateVariableInitExp

    public boolean validateVariableInitExp(VariableInitExp variableInitExp,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map<java.lang.Object,java.lang.Object> context)

### validateWhileExp

    public boolean validateWhileExp(WhileExp whileExp,
                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

### validateSeverityKind

    public boolean validateSeverityKind(SeverityKind severityKind,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map<java.lang.Object,java.lang.Object> context)

### getResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getResourceLocator()

  Returns the resource locator that will be used to fetch messages for this validator's diagnostics.

  Overrides:
    `getResourceLocator` in class `org.eclipse.emf.ecore.util.EObjectValidator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD